@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  grails-shell startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Add default JVM options here. You can also use JAVA_OPTS and GRAILS_SHELL_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windows variants

if not "%OS%" == "Windows_NT" goto win9xME_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\grails-shell-4.0.6.jar;%APP_HOME%\lib\grails-bootstrap-4.0.6.jar;%APP_HOME%\lib\grails-gradle-model-4.0.6.jar;%APP_HOME%\lib\groovy-ant-2.5.14.jar;%APP_HOME%\lib\groovy-json-2.5.14.jar;%APP_HOME%\lib\groovy-jmx-2.5.14.jar;%APP_HOME%\lib\groovy-templates-2.5.14.jar;%APP_HOME%\lib\groovy-xml-2.5.14.jar;%APP_HOME%\lib\groovy-2.5.14.jar;%APP_HOME%\lib\jcl-over-slf4j-1.7.30.jar;%APP_HOME%\lib\gradle-tooling-api-5.0.jar;%APP_HOME%\lib\slf4j-simple-1.7.30.jar;%APP_HOME%\lib\slf4j-api-1.7.30.jar;%APP_HOME%\lib\ant-junit-1.9.15.jar;%APP_HOME%\lib\ant-1.9.15.jar;%APP_HOME%\lib\jansi-1.18.jar;%APP_HOME%\lib\spring-boot-cli-2.1.17.RELEASE.jar;%APP_HOME%\lib\jline-2.14.6.jar;%APP_HOME%\lib\plexus-component-api-1.0-alpha-33.jar;%APP_HOME%\lib\snakeyaml-1.23.jar;%APP_HOME%\lib\ant-launcher-1.9.15.jar;%APP_HOME%\lib\groovy-groovydoc-2.5.14.jar;%APP_HOME%\lib\ant-antlr-1.9.15.jar;%APP_HOME%\lib\spring-boot-loader-tools-2.1.17.RELEASE.jar;%APP_HOME%\lib\android-json-0.0.20131108.vaadin1.jar;%APP_HOME%\lib\jopt-simple-5.0.4.jar;%APP_HOME%\lib\maven-settings-builder-3.5.4.jar;%APP_HOME%\lib\plexus-sec-dispatcher-1.4.jar;%APP_HOME%\lib\sisu-inject-plexus-2.6.0.jar;%APP_HOME%\lib\spring-core-5.1.18.RELEASE.jar;%APP_HOME%\lib\spring-security-crypto-5.1.12.RELEASE.jar;%APP_HOME%\lib\maven-resolver-transport-http-1.1.1.jar;%APP_HOME%\lib\httpclient-4.5.12.jar;%APP_HOME%\lib\maven-resolver-provider-3.5.4.jar;%APP_HOME%\lib\maven-model-builder-3.5.4.jar;%APP_HOME%\lib\maven-model-3.5.4.jar;%APP_HOME%\lib\maven-resolver-connector-basic-1.1.1.jar;%APP_HOME%\lib\maven-resolver-impl-1.1.1.jar;%APP_HOME%\lib\maven-resolver-transport-file-1.1.1.jar;%APP_HOME%\lib\org.eclipse.sisu.plexus-0.3.0.jar;%APP_HOME%\lib\plexus-classworlds-2.5.2.jar;%APP_HOME%\lib\junit-3.8.1.jar;%APP_HOME%\lib\commons-compress-1.18.jar;%APP_HOME%\lib\maven-settings-3.5.4.jar;%APP_HOME%\lib\maven-repository-metadata-3.5.4.jar;%APP_HOME%\lib\maven-artifact-3.5.4.jar;%APP_HOME%\lib\plexus-utils-3.1.0.jar;%APP_HOME%\lib\plexus-cipher-1.4.jar;%APP_HOME%\lib\plexus-component-annotations-1.7.1.jar;%APP_HOME%\lib\spring-jcl-5.1.18.RELEASE.jar;%APP_HOME%\lib\httpcore-4.4.13.jar;%APP_HOME%\lib\commons-codec-1.11.jar;%APP_HOME%\lib\maven-builder-support-3.5.4.jar;%APP_HOME%\lib\commons-lang3-3.5.jar;%APP_HOME%\lib\plexus-interpolation-1.24.jar;%APP_HOME%\lib\maven-resolver-spi-1.1.1.jar;%APP_HOME%\lib\maven-resolver-util-1.1.1.jar;%APP_HOME%\lib\maven-resolver-api-1.1.1.jar;%APP_HOME%\lib\cdi-api-1.0.jar;%APP_HOME%\lib\javax.inject-1.jar;%APP_HOME%\lib\org.eclipse.sisu.inject-0.3.0.jar;%APP_HOME%\lib\jsr250-api-1.0.jar

@rem Execute grails-shell
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %GRAILS_SHELL_OPTS%  -classpath "%CLASSPATH%" org.grails.cli.GrailsCli %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable GRAILS_SHELL_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%GRAILS_SHELL_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
